<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [getTotalScriptExpGain](./bitburner.ns.gettotalscriptexpgain.md)

## NS.getTotalScriptExpGain() method

Get the exp gain of all scripts.

**Signature:**

```typescript
getTotalScriptExpGain(): number;
```
**Returns:**

number

Total experience gain rate of all of your active scripts.

## Remarks

RAM cost: 0.1 GB

